## openvswitch 3.0.0

=== debian/changelog ===
openvswitch (3.0.0-0ubuntu1) kinetic; urgency=medium

  [ Frode Nordahl ]
  * New upstream version 3.0.0
  * Merge packaging from Debian.
  * d/openvswitch-common.install: Add OVSDB local-config man page
    and ovsschema.
  * d/control: python3-openvswitch is now an architecture dependent
    package.
  * d/rules: Fix linkage of the python C extension.
  * d/rules: Refresh skip test list for ppc64el.
  * d/copyright: Drop superfluous file patterns.

  [ James Page ]
  * d/control: Add missing shlib:Depends for python3-openvswitch.
  * d/control: openvswitch-ipsec -> python3-openvswitch binary:Version
    due to switch to architecture specific Python module.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 22 Aug 2022 14:24:44 +0100

openvswitch (3.0.0~git20220718.e2e8d7c-0ubuntu1) kinetic; urgency=medium

  * New upstream snapshot from 3.0 release branch.
  * d/copyright: Tidy for removal of datapath component.
  * d/rules: Enable native json extension for OVS Python module
    (LP: #1982002).
  * d/rules: Drop obsolete installation for Python 2 versions.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jul 2022 16:43:55 +0100

openvswitch (2.17.2-4) unstable; urgency=medium

  * Upload to unstable.

 -- Luca Boccassi <bluca@debian.org>  Fri, 19 Aug 2022 20:59:13 +0100

openvswitch (2.17.2-3) experimental; urgency=medium

  * d/p/0001-ovsdb-idl-Support-write-only-changed-IDL-monitor-mod.patch:
    Cherry pick feature to improve scalability and performance which is
    required for OVN 22.03.1 (LP: #1980809).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 01 Aug 2022 15:55:37 +0200

openvswitch (2.17.2-2) experimental; urgency=medium

  * d/rules: exclude new tests that are failing on hppa
  * d/rules: exclude new tests that are failing on riscv64 (Closes:
    #1009969)
  * d/rules: exclude new tests that are failing on sparc64
  * d/clean: add trailing slash to directories
  * Do not install python3/ovtest in two packages (Closes: #1014749)
  * d/rules: simplify Python handling

 -- Luca Boccassi <bluca@debian.org>  Thu, 14 Jul 2022 14:16:53 +0100

openvswitch (2.17.2-1) experimental; urgency=medium

  [ Team upload ]
  * Update to 2.17.2 and merge Debian and Ubuntu packaging

  [ Christian Ehrhardt ]
    - d/control: merge Debian's uploaders list and extend it
    - d/control: bump Standards-Version (no changes needed)
    - d/control: set salsa based Vcs tags
    - d/control: switch to debhelper-compat (= 13)
    - d/control: add misc:Pre-Depends for compat 13 to pkgs with services
    - d/rules: dh_missing now covers --list-missing
    - d/rules: switch service start to compat 13 style
    - d/control: add breaks and replaces to match the file reorg seen by
      Debian between various packages
      + openvswitch-common to openvswitch-testcontroller
      - openvswitch-common to openvswitch-test
      - python3-openvswitch to openvswitch-test
    - d/control, d/openvswitch-dev.install: drop openvswitch-dev
      [Unused and not considered ABI stable, related to the
       drop of --enable-shared]
  * autopkgtest: also check service status
  * d/t/control: add isolation-machine as modules are involved
  * d/openvswitch-switch.{preinst,postinst,postrm}: take over
    /etc/default/openvswitch-switch

  [ Luca Boccassi ]
  * Merge debian/yoga with debian/2.17.0-0ubuntu1 into debian/experimental
    - retaining git history of both projects
    - retaining additions in Debian like maint script permissions,
      whitespace fixes and many other small things
    - drop --enable-shared
  * d/control: set Rules-Requires-Root
  * Remove dependency on automake1.10, obsolete
  * d/control: remove XS-Testsuite
  * Suggest python3:any when an optional python script is shipped
  * Add missing Pre-Depends
  * openswitch-source: add APL2 NOTICE to docs
  * Override some Lintian false positives
  * Override Lintian error about lack of +ds suffix
  * Enable hardening compiler options
  * autopkgtest: drop kernel module test
  * d/rules: use dh-exec instead of manually copying files
  * d/rules: drop remaining python2 logic
  * d/rules: adjust indentation
  * use d/clean instead of manual rm
  * d/rules: drop obsolete autoreconf snippets
  * d/rules: use execute_before/after
  * d/rules: switch to dh-sequence build dependencies
  * d/rules: use --sourcedirectory
  * Drop manual openvswitch-dbg package
  * d/rules: do not mark python test modules as executable
  * Override Lintian warning about autogenerated sources
  * Add dependency on lsb-base for sysv-only packages
  * ovsdb-server.service: switch from syslog.target to journald dependency
  * d/rules: add test exclusions for other archs from debian/yoga

  [ Frode Nordahl ]
  * d/rules: Allow use of EXTRA_CONFIGURE_OPTS
  * d/dkms.conf.in, d/rules.modules: drop unused
  * d/tests/*: Replace `echo -n` with `printf
  * d/automake.mk: Update list of files for upstream distribution
  * d/ifupdown.sh: Replace calls to ifconfig with `ip link`
  * Handle missing files
  * d/rules: Initialize DEB_HOST_ARCH when not set
  * Remove uneccessary whitespace in patches

 -- Luca Boccassi <bluca@debian.org>  Tue, 05 Jul 2022 13:02:40 +0100
