## openvswitch 3.0.3

=== debian/changelog ===
openvswitch (3.0.3-0ubuntu0.22.10.3~cloud3) jammy-zed; urgency=medium

  * d/p/lp-2018500-tc-Fix-crash-on-malformed-reply-from-kernel.patch:
    Fix crash on malformed reply from kernel (LP: #2018500).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 27 Sep 2023 16:14:45 +0200

openvswitch (3.0.3-0ubuntu0.22.10.3~cloud2) jammy-zed; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 13 Jul 2023 18:52:50 +0000

openvswitch (3.0.3-0ubuntu0.22.10.3) kinetic-security; urgency=medium

  * SECURITY UPDATE: remote traffic denial of service via crafted packets
    with IP proto 0
    - debian/patches/CVE-2023-1668.patch: Always mask ip proto field in
      include/openvswitch/meta-flow.h, lib/meta-flow.c,
      ofproto/ofproto-dpif-xlate.c, tests/ofproto-dpif.at,
      tests/ofproto.at, tests/packet-type-aware.at.
    - CVE-2023-1668

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Apr 2023 09:38:44 -0400

openvswitch (3.0.3-0ubuntu0.22.10.2) kinetic-security; urgency=medium

  * No change rebuild in -security pocket as new version contains fix for
    CVE-2022-4337 and CVE-2022-4338.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Feb 2023 08:50:59 -0500

openvswitch (3.0.3-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream version 3.0.3 (LP: #2003059).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 17 Jan 2023 10:13:06 +0100

openvswitch (3.0.1-0ubuntu0.22.10.1) kinetic; urgency=medium

  * New upstream point release 3.0.1 (LP: #1995288).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 31 Oct 2022 16:52:28 +0100
