=== debian/changelog ===
openvswitch (3.1.0-2+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-5366: A flaw was found in Open vSwitch that allows ICMPv6 Neighbor
    Advertisement packets between virtual machines to bypass OpenFlow rules.
    This issue may allow a local attacker to create specially crafted packets
    with a modified or spoofed target IP address field that can redirect ICMPv6
    traffic to arbitrary IP addresses. Added upstream patch: "Fix missing masks
    on a final stage with ports trie".
  * CVE-2023-3966: Invalid memory access in Geneve with HW offload. Added
    upstream patch: netdev-offload-tc: Check geneve metadata length
    (Closes: #1063492).

 -- Thomas Goirand <zigo@debian.org>  Sun, 18 Feb 2024 16:46:26 +0100

openvswitch (3.1.0-2) unstable; urgency=high

  * CVE-2023-1668: Remote traffic denial of service via crafted packets with IP
    proto 0. Applied upstream patch: ofproto-dpif-xlate: Always mask ip proto
    field (Closes: #1034042).

 -- Thomas Goirand <zigo@debian.org>  Tue, 11 Apr 2023 11:54:40 +0200

openvswitch (3.1.0-1) unstable; urgency=medium

  [ Luca Boccassi ]
  * Drop dependencies on lsb-base, deprecated
  * Bump Standards-Version to 4.6.2, no changes

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/3.1.0'
  * d/rules: Set branch for snapshots to branch-3.1.
  * d/debian/openvswitch-switch.install, d/debian/openvswitch-
    test.install: Move USDT scripts to test package.

 -- Luca Boccassi <bluca@debian.org>  Tue, 21 Feb 2023 22:02:16 +0000

openvswitch (3.1.0~git20230108.006e1c6-1) unstable; urgency=medium

  * Update upstream source from tag 'upstream/3.1.0_git20230108.006e1c6'.
  * d/p/CVE-2022-4337and8: Drop, included in snapshot.
  * d/p/af-xdp*: Drop, included in snapshot.
  * d/openvswitch-switch.install: Add USDT scripts.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Mon, 09 Jan 2023 07:47:45 +0100

openvswitch (3.1.0~git20221212.739bcf2-4) unstable; urgency=high

  * Add dpdk support for riscv64 (Closes: #1027329).
  * CVE-2022-4337 & CVE-2022-4338: Out-of-Bounds Read and Integer Underflow in
    Organization Specific TLV. Added upstream patches (Closes: #1027273).

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Jan 2023 10:06:22 +0100

openvswitch (3.1.0~git20221212.739bcf2-3) unstable; urgency=medium

  * salsa-ci.yml: build on unstable
  * Upload to unstable

 -- Luca Boccassi <bluca@debian.org>  Sat, 17 Dec 2022 14:02:44 +0000

openvswitch (3.1.0~git20221212.739bcf2-2) experimental; urgency=medium

  * Exclude xdp-tools build dep on ports where it's not available

 -- Luca Boccassi <bluca@debian.org>  Fri, 16 Dec 2022 14:16:37 +0000

openvswitch (3.1.0~git20221212.739bcf2-1) experimental; urgency=medium

  * Update upstream source from snapshot 'upstream/3.1.0_git20221212.739bcf2'
  * d/rules: Update snapshot target version
  * d/gbp.conf: Set experimental branch
  * d/control: Bump DPDK dependency to 22.11
  * d/control: Add build dependencies for AF_XDP
  * d/p/af-xdp-*: Add patches to build AF_XDP support by default

 -- Frode Nordahl <frode.nordahl@canonical.com>  Wed, 14 Dec 2022 15:25:27 +0100

openvswitch (3.0.1-1) experimental; urgency=medium

  [ Frode Nordahl ]
  * Update upstream source from tag 'upstream/3.0.1'
  * d/p/0001-ovsdb-idl-Support-write-only-changed-IDL-monitor-mod.patch:
    Drop
  * d/openvswitch-common.install: Add ovsdb.local-config man page
  * d/openvswitch-switch.install: Add local-config.ovsschema
  * d/rules: Build the Python JSON C extension
  * d/control: Make python3-openvswitch a binary package, drop python3-six
    dependency
  * d/copyright: Drop references to XenServer
  * d/openvswitch-switch.README.Debian: Drop reference to out of tree
    kernel module
  * d/control: Add suggested optional dependencies for Python OVS flow
    parsing
  * d/copyright: Drop references to datapath/*
  * d/copyright.in: Sync with upstream repository
  * d/rules: Add comment about the explicit -fPIC for this package

  [ Luca Boccassi ]
  * Drop setuptools-import-order.patch, distutils is no longer used

 -- Luca Boccassi <bluca@debian.org>  Thu, 24 Nov 2022 18:42:45 +0000

openvswitch (2.17.2-5) unstable; urgency=medium

  * Add OOMScoreAdjust=-900 for a number of vital services.
  * Add setuptools-import-order.patch.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Sep 2022 10:59:53 +0200

openvswitch (2.15.0+ds1-11) UNRELEASED; urgency=medium

  * Blacklist more unit tests on mipsel:
    - 1036: ofproto-dpif - select group with weights FAILED (ofproto-dpif.at:787)
    - 1072: ofproto-dpif - controller action without megaflows FAILED (ofproto-dpif.at:2145)
  * Blacklist more unit tests on riscv64 (same as above).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jan 2022 16:50:02 +0100

openvswitch (2.15.0+ds1-10) unstable; urgency=medium

  * CVE-2021-36980: use-after-free in decode_NXAST_RAW_ENCAPAdd. Add upstream
    patch (Closes: #991308).

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Jan 2022 12:07:24 +0100

openvswitch (2.15.0+ds1-9) unstable; urgency=medium

  * Blacklist unit test 27 on armel.

 -- Thomas Goirand <zigo@debian.org>  Wed, 24 Nov 2021 13:01:52 +0100
