=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openvswitch
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Open vSwitch developers <dev@openvswitch.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Simon Horman <horms@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -11,7 +10,7 @@
  Christian Ehrhardt <christian.ehrhardt@canonical.com>,
 Build-Depends:
  autoconf (>= 2.64),
- automake (>= 1.10) | automake1.10,
+ automake (>= 1.10),
  bzip2,
  debhelper-compat (= 13),
  dh-exec,
@@ -20,14 +19,16 @@
  dh-sequence-sphinxdoc,
  graphviz,
  iproute2,
+ libbpf-dev,
  libcap-ng-dev,
- libdbus-1-dev [amd64 i386 ppc64el arm64],
- libdpdk-dev (>= 21.11) [amd64 i386 ppc64el arm64],
- libnuma-dev [amd64 i386 ppc64el arm64],
- libpcap-dev [amd64 i386 ppc64el arm64],
+ libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64],
+ libdpdk-dev (>= 22.11) [amd64 i386 ppc64el arm64 riscv64],
+ libnuma-dev [amd64 i386 ppc64el arm64 riscv64],
+ libpcap-dev [amd64 i386 ppc64el arm64 riscv64],
  libssl-dev,
  libtool,
  libunbound-dev,
+ libxdp-dev (>= 1.2.9~) [!alpha !arc !hppa !ia64 !m68k !sh4],
  openssl,
  pkg-config,
  procps,
@@ -35,18 +36,16 @@
  python3-setuptools,
  python3-sortedcontainers,
  python3-sphinx,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://openvswitch.org/
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/openvswitch
-XS-Testsuite: autopkgtest
+Vcs-Browser: https://salsa.debian.org/openstack-team/third-party/openvswitch/-/tree/debian/experimental
+Vcs-Git: https://salsa.debian.org/openstack-team/third-party/openvswitch.git
 
 Package: openvswitch-common
 Architecture: linux-any
 Depends:
  openssl,
- python3-six,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
@@ -99,6 +98,10 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Suggests: python3:any
+Breaks:
+ openvswitch-common (<< 2.17~),
+Replaces:
+ openvswitch-common (<< 2.17~),
 Description: Open vSwitch IPsec tunneling support
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -154,11 +157,15 @@
  openvswitch-common (= ${binary:Version}),
  procps,
  python3-netifaces,
- python3-openvswitch (>= ${source:Version}),
+ python3-openvswitch (>= ${binary:Version}),
  uuid-runtime,
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
+Breaks:
+ openvswitch-common (<< 2.17~),
+Replaces:
+ openvswitch-common (<< 2.17~),
 Description: Open vSwitch switch implementations
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -172,7 +179,7 @@
  the Open vSwitch kernel-based switch.
 
 Package: openvswitch-switch-dpdk
-Architecture: amd64 arm64 i386 ppc64el
+Architecture: amd64 arm64 i386 ppc64el riscv64
 Pre-Depends: ${misc:Pre-Depends},
 Depends:
  dpdk,
@@ -206,6 +213,14 @@
  python3-twisted,
  ${misc:Depends},
  ${python3:Depends},
+Breaks:
+ python3-openvswitch (<< 2.17~),
+ openvswitch-common (<< 2.17~),
+ openvswitch-switch (<< 3.1.0-1~),
+Replaces:
+ python3-openvswitch (<< 2.17~),
+ openvswitch-common (<< 2.17~),
+ openvswitch-switch (<< 3.1.0-1~),
 Description: Open vSwitch test package
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -220,9 +235,12 @@
 
 Package: openvswitch-testcontroller
 Architecture: linux-any
+Breaks:
+ openvswitch-common (<< 2.17~),
+Replaces:
+ openvswitch-common (<< 2.17~),
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- lsb-base,
  openvswitch-common (= ${binary:Version}),
  openvswitch-pki (= ${source:Version}),
  ${misc:Depends},
@@ -237,15 +255,18 @@
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
 Depends:
- lsb-base,
  lsb-release,
  openvswitch-common (>= ${binary:Version}),
  openvswitch-switch (>= ${binary:Version}),
- python3-openvswitch (>= ${source:Version}),
+ python3-openvswitch (>= ${binary:Version}),
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends},
 Suggests: python3:any
+Breaks:
+ openvswitch-common (<< 2.17~),
+Replaces:
+ openvswitch-common (<< 2.17~),
 Description: Open vSwitch VTEP utilities
  Open vSwitch is a production quality, multilayer, software-based, Ethernet
  virtual switch. It is designed to enable massive network automation through
@@ -262,10 +283,12 @@
 Architecture: linux-any
 Section: python
 Depends:
- python3-six,
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Suggests:
+ python3-netaddr,
+ python3-pyparsing,
 Description: Python 3 bindings for Open vSwitch
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
