## openvswitch 3.1.2

=== debian/changelog ===
openvswitch (3.1.2-0ubuntu0.23.04.1) lunar; urgency=medium

  * Update upstream source from tag 'upstream/3.1.2' (LP: #2025319).
  * d/p/CVE-2023-1668_ofproto-dpif-xlate_Always_mask_ip_proto_field.patch:
    Drop, included in new upstream version.
  * d/gbp.conf: Set appropriate branch for Lunar.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Thu, 29 Jun 2023 15:25:10 +0200

openvswitch (3.1.0-1ubuntu1) lunar; urgency=medium

  * SECURITY UPDATE: remote traffic denial of service via crafted packets
    with IP proto 0
    - debian/patches/CVE-2023-1668.patch: Always mask ip proto field in
      include/openvswitch/meta-flow.h, lib/meta-flow.c,
      ofproto/ofproto-dpif-xlate.c, tests/ofproto-dpif.at,
      tests/ofproto.at, tests/packet-type-aware.at.
    - CVE-2023-1668

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Apr 2023 09:34:14 -0400
