## openvswitch 3.1.3

=== debian/changelog ===
openvswitch (3.1.3-0ubuntu0.23.04.1~cloud2) jammy-antelope; urgency=medium

  * d/control: Fix upgrade bug from zed -> antelope UCA by updating
    Breaks/Replaces for openvswitch-switch (LP: #2077406).

 -- Frode Nordahl <fnordahl@ubuntu.com>  Mon, 30 Sep 2024 13:21:00 +0100

openvswitch (3.1.3-0ubuntu0.23.04.1) lunar; urgency=medium

  * New upstream point release (LP: #2039907).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Fri, 20 Oct 2023 05:48:27 +0000
