=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: openvswitch
 Section: net
 Priority: optional
-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Simon Horman <horms@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -163,9 +164,9 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Breaks:
- openvswitch-common (<< 2.17~),
-Replaces:
- openvswitch-common (<< 2.17~),
+ openvswitch-common (<< 3.1.0-1~),
+Replaces:
+ openvswitch-common (<< 3.1.0-1~),
 Description: Open vSwitch switch implementations
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
