## openvswitch 3.1.4

=== debian/changelog ===
openvswitch (3.1.4-1+deb12u1) bookworm-security; urgency=medium

  * CVE-2023-3966: Invalid memory access in Geneve with HW offload. Upgraded
    to upstream release 3.1.4 containing the fix (Closes: #1063492).
  * Removed CVE-2023-1668_ofproto-dpif-xlate_Always_mask_ip_proto_field.patch
    applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Sat, 10 Feb 2024 12:41:32 +0100
