## openvswitch 3.2.0

=== debian/changelog ===
openvswitch (3.2.0-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.2.0'
  * d/p/docs-*: Update patch for #1042358.
  * d/p/lib-fatal-signal-Drop-logging-of-failed-dummy-backtr.patch: Drop
    unnecessary debug logging to fix armhf build (LP: #2032623).

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 22 Aug 2023 10:43:20 +0200

openvswitch (3.1.2-4) unstable; urgency=medium

  * Fix ifupdown.sh (Closes: #1039601).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 11:15:19 +0200

openvswitch (3.1.2-3) unstable; urgency=medium

  * Re-add openvswitch-common.postinst to clean-up obsolete alternative,
    thanks to Andreas Beckmann for it (Closes: #1036569).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 10:55:22 +0200

openvswitch (3.1.2-2) unstable; urgency=medium

  * Add patches from Colin Watson to repair the docs (Closes: #1042358):
    - docs-1-Wrap_more_table_entries_in_text_blocks.patch
    - docs-2-Shorten_overly-wide_table_heading.patch
    - docs-3-Tweak_width_of_name_column_in_field_property.patch
    - docs-4-Fix_rendering_of_VLAN_Comparison_Chart.patch
    - docs-5-Run_tbl_preprocessor_in_manpage-check_rule.patch

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Aug 2023 16:57:37 +0200

openvswitch (3.1.2-1) unstable; urgency=medium

  * Team upload.
  * Update upstream source from tag 'upstream/3.1.2'.
  * d/p/CVE-2023-1668_ofproto-dpif-xlate_Always_mask_ip_proto_field.patch:
    Drop, included in new upstream version.
  * d/control: Add libnuma-dev on s390x for AF_XDP.
  * d/p/drop-old-autopkgtest: Drop old autopkgtest.
  * debian/tests: Run upstream system tests as autopkgtests.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Tue, 27 Jun 2023 19:13:06 +0200
