=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: openvswitch
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
+Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
 Uploaders:
  Simon Horman <horms@debian.org>,
  Thomas Goirand <zigo@debian.org>,
@@ -24,7 +23,7 @@
  libcap-ng-dev,
  libdbus-1-dev [amd64 i386 ppc64el arm64 riscv64],
  libdpdk-dev (>= 22.11) [amd64 i386 ppc64el arm64 riscv64],
- libnuma-dev [amd64 i386 ppc64el arm64 riscv64],
+ libnuma-dev [amd64 i386 ppc64el arm64 riscv64 s390x],
  libpcap-dev [amd64 i386 ppc64el arm64 riscv64],
  libssl-dev,
  libtool,
@@ -164,9 +163,9 @@
  ${python3:Depends},
  ${shlibs:Depends},
 Breaks:
- openvswitch-common (<< 3.1.0-1~),
-Replaces:
- openvswitch-common (<< 3.1.0-1~),
+ openvswitch-common (<< 2.17~),
+Replaces:
+ openvswitch-common (<< 2.17~),
 Description: Open vSwitch switch implementations
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
