## openvswitch 3.2.1

=== debian/changelog ===
openvswitch (3.2.1-0ubuntu0.23.10.1) mantic; urgency=medium

  * New upstream point release (LP: #2039906).
  * d/p/docs-*: Drop, included in point release.
  * d/p/lib-fatal-signal-Drop-logging-of-failed-dummy-backtr.patch: Drop,
    included in point release.
  * d/p/tests*.patch: Cherry-pick in-flight patches for tests that fixes
    autopkgtest failures.
  * d/t/*-skip-tests.txt: Add flaky test to list.

 -- Frode Nordahl <frode.nordahl@canonical.com>  Sun, 22 Oct 2023 11:20:53 +0200
